## org.opengis.metadata.quality
Interface Scope

    @UML(identifier="DQ_Scope",
         specification=ISO_19115)
    public interface Scope

Description of the data specified by the scope.

Since:
  GeoAPI 2.0

Method Summary
`Extent` `getExtent()` Information about the spatial, vertical and temporal extent of the data specified by the scope.
`ScopeCode` `getLevel()` Hierarchical level of the data specified by the scope.
`Collection<? extends ScopeDescription>` `getLevelDescription()` Detailed description about the level of the data specified by the scope.

Method Detail

### getLevel

    @UML(identifier="level",
         obligation=MANDATORY,
         specification=ISO_19115)
    ScopeCode getLevel()

  Hierarchical level of the data specified by the scope.

### getLevelDescription

    @UML(identifier="levelDescription",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<? extends ScopeDescription> getLevelDescription()

  Detailed description about the level of the data specified by the scope. Should be defined only if the level is not equal to `DATASET` or `SERIES`.

  Since:
    GeoAPI 2.1

### getExtent

    @UML(identifier="extent",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Extent getExtent()

  Information about the spatial, vertical and temporal extent of the data specified by the scope.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.